package com.zsc.edu.gateway.domain.iot;


import com.zsc.edu.gateway.modules.iot.tsl.entity.Serve;

public class ServeBuilder extends BaseParamBuilder {
    private String identifier;
    private String name;
    private Long productId;

    public static ServeBuilder aServe() {
        return new ServeBuilder();
    }

    public ServeBuilder identifier(String identifier) {
        this.identifier = identifier;
        return this;
    }

    public ServeBuilder name(String name) {
        this.name = name;
        return this;
    }

    public ServeBuilder productId(Long productId) {
        this.productId = productId;
        return this;
    }

    public Serve build() {
        Serve serve = new Serve();
        serve.setIdentifier(identifier);
        serve.setName(name);
        serve.setProductId(productId);
        serve.setInputs(null);
        serve.setOutputs(null);
        return serve;
    }
}
